osl::eval::ml::King8EffectBase::MakeEffectStateSimple Struct Reference

## Public Member Functions

EffectState | operator() (const NumEffectState &state, const Player defense, const Direction dir) const

## Detailed Description

Definition at line 151 of file king8.cc.

## Member Function Documentation

## operator()()

EffectState osl::eval::ml::King8EffectBase::MakeEffectStateSimple::operator() | ( | const NumEffectState & | state,
|  | const Player | defense,
|  | const Direction | dir ) const

inline

Definition at line 154 of file king8.cc.

References osl::alt(), osl::Board_Table, osl::NumEffectState::countEffect(), osl::Piece::isEmpty(), osl::SimpleState::kingSquare(), osl::eval::ml::King8EffectBase::LESS_EFFECT, osl::eval::ml::King8EffectBase::MORE_EFFECT, osl::eval::ml::King8EffectBase::MORE_EFFECT_KING_ONLY, osl::eval::ml::King8EffectBase::NO_EFFECT, osl::eval::ml::King8EffectBase::NOT_EMPTY, and osl::SimpleState::pieceAt().

The documentation for this struct was generated from the following file:

- king8.cc